# Uses of Interface
org.apache.commons.math3.util.PivotingStrategyInterface

Packages that use PivotingStrategyInterface
Package
Description
org.apache.commons.math3.stat.descriptive.rank
Summary statistics based on ranks.
org.apache.commons.math3.util
Convenience routines and common data structures used throughout the commons-math library.

## Uses of PivotingStrategyInterface in org.apache.commons.math3.stat.descriptive.rank

Methods in org.apache.commons.math3.stat.descriptive.rank that return PivotingStrategyInterface
Modifier and Type
Method
Description
`PivotingStrategyInterface`
Percentile.`getPivotingStrategy()`
Get the `PivotingStrategyInterface` used in KthSelector for computation.

## Uses of PivotingStrategyInterface in org.apache.commons.math3.util

Classes in org.apache.commons.math3.util that implement PivotingStrategyInterface
Modifier and Type
Class
Description
`class`
`CentralPivotingStrategy`
A mid point strategy based on the average of begin and end indices.
`class`
`MedianOf3PivotingStrategy`
Classic median of 3 strategy given begin and end indices.
`class`
`RandomPivotingStrategy`
A strategy of selecting random index between begin and end indices.
Methods in org.apache.commons.math3.util that return PivotingStrategyInterface
Modifier and Type
Method
Description
`PivotingStrategyInterface`
KthSelector.`getPivotingStrategy()`
Get the pivotin strategy.
Constructors in org.apache.commons.math3.util with parameters of type PivotingStrategyInterface
Modifier
Constructor
Description
``
`KthSelector(PivotingStrategyInterface pivotingStrategy)`
Constructor with specified pivoting strategy